# About PyForge CLI

<div align="center">
  <img src="../assets/icon_pyforge_forge.svg" alt="PyForge CLI" width="80" height="80">
</div>

Learn about the project, its history, and how to contribute.

## Project Information

<div class="grid cards" markdown>

-   :material-history: **Changelog**

    ---

    Version history and release notes

    [:octicons-arrow-right-24: View Changelog](changelog.md)

-   :material-account-group: **Contributing**

    ---

    How to contribute to the project

    [:octicons-arrow-right-24: Contributing Guide](contributing.md)

-   :material-scale-balance: **License**

    ---

    Project license and legal information

    [:octicons-arrow-right-24: License](license.md)

</div>

## Project Stats

- **🌟 GitHub Stars**: [View on GitHub](https://github.com/Py-Forge-Cli/PyForge-CLI)
- **📦 PyPI Downloads**: [View on PyPI](https://pypi.org/project/pyforge-cli/)
- **🐛 Issues**: [Open Issues](https://github.com/Py-Forge-Cli/PyForge-CLI/issues)
- **💬 Discussions**: [GitHub Discussions](https://github.com/Py-Forge-Cli/PyForge-CLI/discussions)

## Mission

PyForge CLI aims to simplify data format conversion for data practitioners by providing:

- **Intuitive Interface**: Easy-to-use command-line interface
- **High Performance**: Optimized for large files and batch processing
- **Extensibility**: Plugin architecture for custom formats
- **Reliability**: Comprehensive error handling and validation

## Team

- **Lead Developer**: Santosh Dandey
- **Contributors**: [View all contributors](https://github.com/Py-Forge-Cli/PyForge-CLI/graphs/contributors)

## Links

- **📖 Documentation**: [py-forge-cli.github.io](https://py-forge-cli.github.io/PyForge-CLI/)
- **💻 Source Code**: [GitHub Repository](https://github.com/Py-Forge-Cli/PyForge-CLI)
- **📦 Package**: [PyPI Package](https://pypi.org/project/pyforge-cli/)
- **🐛 Bug Reports**: [GitHub Issues](https://github.com/Py-Forge-Cli/PyForge-CLI/issues)
- **💬 Community**: [GitHub Discussions](https://github.com/Py-Forge-Cli/PyForge-CLI/discussions)