# Getting Started

<div align="center">
  <img src="../assets/icon_pyforge_forge.svg" alt="PyForge CLI" width="80" height="80">
</div>

Welcome to PyForge CLI! This section will help you get up and running quickly with data format conversion.

## Quick Navigation

<div class="grid cards" markdown>

-   :material-download: **Installation**

    ---

    Install PyForge CLI on your system

    [:octicons-arrow-right-24: Installation Guide](installation.md)

-   :material-rocket-launch: **Quick Start**

    ---

    Convert your first file in 5 minutes

    [:octicons-arrow-right-24: Quick Start](quick-start.md)

-   :material-file-document: **First Conversion**

    ---

    Detailed walkthrough of your first conversion

    [:octicons-arrow-right-24: First Conversion](first-conversion.md)

-   :material-tools: **Tools Prerequisites**

    ---

    Install required tools for specialized file formats

    [:octicons-arrow-right-24: Tools Prerequisites](tools-prerequisites.md)

</div>

## Learning Path

If you're new to PyForge CLI, we recommend following this learning path:

1. **[Install](installation.md)** PyForge CLI on your system
2. **[Quick Start](quick-start.md)** - Convert a sample file
3. **[First Conversion](first-conversion.md)** - Understand the process
4. **[Tools Prerequisites](tools-prerequisites.md)** - Install tools for specialized formats (optional)
5. **[Explore Converters](../converters/index.md)** - Learn about specific formats
6. **[Try Tutorials](../tutorials/index.md)** - Real-world examples

## Prerequisites

- Python 3.8 or higher
- Basic familiarity with command-line interfaces
- Sample files to convert (we provide examples!)

## Need Help?

- Check our [Troubleshooting](../tutorials/troubleshooting.md) guide
- Browse [Tutorials](../tutorials/index.md) for common use cases
- View the [CLI Reference](../reference/cli-reference.md) for complete command documentation