# Tutorials

<div align="center">
  <img src="../assets/icon_pyforge_forge.svg" alt="PyForge CLI" width="80" height="80">
</div>

Learn PyForge CLI through hands-on tutorials and real-world examples.

## Available Tutorials

<div class="grid cards" markdown>

-   :material-play-speed: **Batch Processing**

    ---

    Convert multiple files efficiently with automation

    [:octicons-arrow-right-24: Learn More](batch-processing.md)

-   :material-robot: **Automation**

    ---

    Integrate PyForge CLI into your workflows and scripts

    [:octicons-arrow-right-24: Learn More](automation.md)

-   :material-help-circle: **Troubleshooting**

    ---

    Solve common issues and optimize performance

    [:octicons-arrow-right-24: Learn More](troubleshooting.md)

</div>

## Tutorial Categories

### For Beginners
- **[Quick Start](../getting-started/quick-start.md)** - Your first conversion in 5 minutes
- **[First Conversion](../getting-started/first-conversion.md)** - Detailed walkthrough

### For Power Users
- **[Batch Processing](batch-processing.md)** - Handle multiple files efficiently
- **[Automation](automation.md)** - Scripts and pipeline integration

### For Troubleshooting
- **[Common Issues](troubleshooting.md)** - Solutions to frequent problems
- **[Performance Tips](troubleshooting.md)** - Optimize for large files

## What You'll Learn

After completing these tutorials, you'll be able to:

- ✅ Process hundreds of files in batch operations
- ✅ Integrate PyForge CLI into automated workflows
- ✅ Handle edge cases and error scenarios
- ✅ Optimize performance for large files
- ✅ Debug and resolve common issues
- ✅ Create custom processing scripts

## Prerequisites

- Basic command-line experience
- PyForge CLI installed ([Installation Guide](../getting-started/installation.md))
- Sample files to practice with

## Sample Files

You can download sample files for the tutorials:

| File Type | Description | Download |
|-----------|-------------|----------|
| **PDF** | Multi-page document | `wget https://example.com/sample.pdf` |
| **Excel** | Multi-sheet workbook | `wget https://example.com/sample.xlsx` |
| **Access** | Sample database | `wget https://example.com/sample.mdb` |
| **DBF** | Legacy database | `wget https://example.com/sample.dbf` |

Or create your own test files using the examples in each tutorial.

## Getting Help

While working through tutorials:

- Check the **[CLI Reference](../reference/cli-reference.md)** for command details
- Review **[Converter Documentation](../converters/index.md)** for format specifics
- Visit **[GitHub Discussions](https://github.com/Py-Forge-Cli/PyForge-CLI/discussions)** for community help
- Report issues on **[GitHub Issues](https://github.com/Py-Forge-Cli/PyForge-CLI/issues)**