# Task Management Directory

This directory contains Product Requirements Documents (PRDs) and corresponding task lists for CortexPy CLI feature development.

## Documents

### Current Features

#### MDF/MDB to Parquet Converter
- **PRD**: `prd-mdf-mdb-converter.md` - Complete product requirements document
- **Tasks**: `tasks-mdf-mdb-converter.md` - Hierarchical implementation task list
- **Status**: Planning Phase
- **Target Version**: 0.2.0
- **Estimated Timeline**: 8 weeks

## How to Use

### For Product Planning
1. Review the PRD documents for complete feature specifications
2. Use PRDs for stakeholder review and approval
3. Reference PRDs for scope and acceptance criteria

### For Development
1. Use the task files for implementation planning
2. Track progress using the hierarchical task structure
3. Follow the definition of done criteria for each task

### For Project Management
1. Create development branches based on task phases
2. Use milestones to track overall feature progress
3. Reference effort estimates for sprint planning

## Task Structure

Tasks are organized hierarchically:
- **Phases** (1-4 weeks each)
  - **Components** (3-7 days each)
    - **Tasks** (1-3 days each)
      - **Subtasks** (hours to 1 day)

Each task includes:
- **Effort Estimate**: Time required for completion
- **Dependencies**: Required predecessor tasks
- **Deliverable**: Expected output or artifact
- **Definition of Done**: Completion criteria

## Contributing

When adding new features:
1. Create a comprehensive PRD document
2. Generate detailed task breakdown
3. Update this README with the new feature
4. Link PRD and tasks in the main project README

## Template Files

For new features, use the MDF/MDB converter documents as templates for:
- PRD structure and content organization
- Task hierarchy and breakdown approach
- Effort estimation and dependency tracking
- Documentation standards and formatting